# This file created by conda-build 3.23.3
# ------------------------------------------------

package:
  name: libraft-headers
  version: 23.02.00
source:
  git_url: ../../..
build:
  ignore_run_exports_from:
    - nvcc_linux-aarch64
  number: 0
  script_env:
    - AWS_ACCESS_KEY_ID
    - AWS_SECRET_ACCESS_KEY
    - CMAKE_CUDA_COMPILER_LAUNCHER
    - CMAKE_CXX_COMPILER_LAUNCHER
    - CMAKE_C_COMPILER_LAUNCHER
    - CMAKE_GENERATOR
    - PARALLEL_LEVEL
    - SCCACHE_BUCKET
    - SCCACHE_IDLE_TIMEOUT
    - SCCACHE_REGION
    - SCCACHE_S3_KEY_PREFIX=libraft-aarch64
  string: cuda11_g69dce2d4_0
requirements:
  build:
    - _openmp_mutex 4.5 2_gnu
    - binutils_impl_linux-aarch64 2.39 h48546ad_1
    - binutils_linux-aarch64 2.39 h489c705_11
    - bzip2 1.0.8 hf897c2e_4
    - c-ares 1.18.1 hf897c2e_0
    - ca-certificates 2022.12.7 h4fd8a4c_0
    - cmake 3.25.2 h5819af1_0
    - expat 2.5.0 ha18d298_0
    - gcc_impl_linux-aarch64 9.5.0 h0c0692e_19
    - gcc_linux-aarch64 9.5.0 hf6054ea_11
    - gxx_impl_linux-aarch64 9.5.0 h0c0692e_19
    - gxx_linux-aarch64 9.5.0 he16ab35_11
    - kernel-headers_linux-aarch64 4.18.0 h5b4a56d_13
    - keyutils 1.6.1 h4e544f5_0
    - krb5 1.20.1 h113d92e_0
    - ld_impl_linux-aarch64 2.39 h16cd69b_1
    - libcurl 7.87.0 h6ad7c7a_0
    - libedit 3.1.20191231 he28a2e2_2
    - libev 4.33 h516909a_1
    - libgcc-devel_linux-aarch64 9.5.0 h30ec8c9_19
    - libgcc-ng 12.2.0 h607ecd0_19
    - libgomp 12.2.0 h607ecd0_19
    - libnghttp2 1.51.0 h674c3cc_0
    - libsanitizer 9.5.0 h3eeb643_19
    - libssh2 1.10.0 he5a64b1_3
    - libstdcxx-devel_linux-aarch64 9.5.0 h30ec8c9_19
    - libstdcxx-ng 12.2.0 hc13a102_19
    - libuv 1.44.2 h4e544f5_0
    - libzlib 1.2.13 h4e544f5_4
    - ncurses 6.3 headf329_1
    - ninja 1.11.0 hdd96247_0
    - nvcc_linux-aarch64 11.8 h3750a1c_22
    - openssl 3.0.8 hb4cce97_0
    - rhash 1.4.3 h4e544f5_0
    - sed 4.8 ha0d5d3d_0
    - sysroot_linux-aarch64 2.17 h43d7e78_13
    - xz 5.2.6 h9cdd2b7_0
    - zlib 1.2.13 h4e544f5_4
    - zstd 1.5.2 h44f6412_6
  host:
    - _openmp_mutex 4.5 2_gnu
    - cuda-profiler-api 11.8.86 0
    - cudatoolkit 11.8.0 h46baab3_11
    - libcublas 11.11.3.6 0
    - libcublas-dev 11.11.3.6 0
    - libcurand 10.3.0.86 0
    - libcurand-dev 10.3.0.86 0
    - libcusolver 11.4.1.48 0
    - libcusolver-dev 11.4.1.48 0
    - libcusparse 11.7.5.86 0
    - libcusparse-dev 11.7.5.86 0
    - libgcc-ng 12.2.0 h607ecd0_19
    - libgomp 12.2.0 h607ecd0_19
    - librmm 23.02.00 cuda11_g48e8f2a8_0
    - libstdcxx-ng 12.2.0 hc13a102_19
    - spdlog 1.8.5 hd62202e_1
  run:
    - cuda-profiler-api >=11.4.240,<12
    - cudatoolkit >=11,<12.0a0
    - libcublas >=11.5.2.43,<12.0.0
    - libcublas-dev >=11.5.2.43,<12.0.0
    - libcurand >=10.2.5.43,<10.3.1
    - libcurand-dev >=10.2.5.43,<10.3.1
    - libcusolver >=11.2.0.43,<11.4.2
    - libcusolver-dev >=11.2.0.43,<11.4.2
    - libcusparse >=11.6.0.43,<12.0.0
    - libcusparse-dev >=11.6.0.43,<12.0.0
    - libgcc-ng >=12
    - librmm =23.02
    - librmm >=23.2.0,<23.3.0a0
    - libstdcxx-ng >=12
about:
  home: https://rapids.ai/
  license: Apache-2.0
  summary: libraft-headers library
extra:
  copy_test_source_files: true
  final: true
